package com.ruoyi.app.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ruoyi.app.controller.base.AppBaseController;
import com.ruoyi.app.domain.TbAppUser;
import com.ruoyi.app.domain.vo.AppMemberVo;
import com.ruoyi.app.service.ITbAppUserService;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.common.utils.StringUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 会员管理
 *
 * @author Alex
 * @date 2020-09-24
 */
@Api(value = "会员管理",tags = "会员管理")
@RequiredArgsConstructor(onConstructor_ = @Autowired)
@RestController
@RequestMapping("/app/user" )
public class AppUserController extends AppBaseController {

    private final ITbAppUserService userService;

    /**
     * 修改会员+家族成员
     */
    @ApiOperation("修改会员信息")
    @PutMapping("/editAppUser")
    public AjaxResult editAppUser(@RequestBody AppMemberVo memberVo) {

        return toAjax(userService.saveOrUpdate(memberVo) ? 1 : 0);
    }
}
