package com.ruoyi.app.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.ruoyi.app.domain.TbFamily;
import com.ruoyi.app.service.ITbFamilyService;
import com.ruoyi.common.utils.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.app.mapper.TbFamilyAlbumMapper;
import com.ruoyi.app.domain.TbFamilyAlbum;
import com.ruoyi.app.service.ITbFamilyAlbumService;

import java.util.List;

/**
 * 家族相簿
 *
 * @author luobo
 * @date 2020-10-12
 */
@Service
public class TbFamilyAlbumServiceImpl extends ServiceImpl<TbFamilyAlbumMapper, TbFamilyAlbum> implements ITbFamilyAlbumService {
    @Autowired
    private ITbFamilyService familyService;


    @Override
    public List<TbFamilyAlbum> queryList(TbFamilyAlbum  entity) {
        LambdaQueryWrapper<TbFamilyAlbum> lqw = new LambdaQueryWrapper<TbFamilyAlbum>();
        if (entity.getFamilyId() != null){
            lqw.eq(TbFamilyAlbum::getFamilyId ,entity.getFamilyId());
        }
        if (StringUtils.isNotBlank(entity.getTitle())){
            lqw.eq(TbFamilyAlbum::getTitle ,entity.getTitle());
        }
        if (StringUtils.isNotBlank(entity.getStatus())){
            lqw.eq(TbFamilyAlbum::getStatus ,entity.getStatus());
        }
        List<TbFamilyAlbum> list = this.list(lqw);
        list.forEach(item->{
           TbFamily family = familyService.getById(item.getFamilyId());
           item.setFamily(family);
        });

        return list;
    }
}
